Subject: Re: bug#34710: the mode line flicks on set-window-vscroll

From: Alan Third <[email-masked]>
Date: Mon, 4 Mar 2019 19:25:50 +0000

On Mon, Mar 04, 2019 at 10:06:20AM +0100, Robert Pluim wrote:
> Alan Third <[email-masked]> writes:
> 
> > I believe it’s a problem with running redisplay rapidly (sit-for) and
> > the way we’re drawing in NS. We end up with macOS demanding a screen
> > update, and Emacs unable to deliver due to there being another
> > redisplay coming up.
> >
> > The patch attached to this discussion doesn’t have the problem:
> >
> > https://lists.gnu.org/archive/html/emacs-devel/2019-02/msg00354.html
> >
> > However Robert Pluim reported serious performance problems with it. I
> > haven’t been able to replicate them.
> 
> I can try it again. Perhaps something in my configuration is causing
> this.

If you can try and track it down that would be very helpful.

The only thing I can think of that could make it very slow is drawing
the buffer to the screen, but that really shouldn’t be as slow as
you’re experiencing, it is, after all, just drawing an image to the
screen.
-- 
Alan Third